
Infrastructure - Story #1086

Create a common test resources location

2010-11-17 18:11 - Rob Nahf

Status: Closed Start date: 2010-11-30

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.22-Block.3   

Story Points:    

Description

It would be advantageous to have common tests cases for integration testing, and possibly available to unit tests as well. The current

proposal is to take advantage of the existing location in the repository: d1_integration/src/test/resources, and (re)locate python

integration tests into d1_integration as well.

If a more generalized location is needed, the proposal would be to create a new folder under cicore/trunk/. For consideration here is

balancing the pros and cons of relying on external data for unit tests, which would evolve independent from the package, but would

also be branched and tagged.

Related is the recommendation of creating negative test cases that contain invalid or malformed data to test error handling

capabilities of the dataONE products.

Subtasks:

Task # 1108: add location to classpath Closed

Task # 1087: simplify resource hierarchy in d1_integration Closed

Task # 1089: determine resource organization below the new general path (d1_integration... Closed

Task # 1088: refactor d1_integration tests to point to new resource hierarchy Closed

Task # 1124: move common test resources to own package under /software/cicore/{trunk/} Closed

Task # 1524: setup d1_test_resources on Hudson... Closed

Task # 1523: uncomment changes when Hudson deployment solution implemented Closed

Related issues:

Related to Infrastructure - Story #1083: Common unicode test guids for java a... Closed

Related to Infrastructure - Story #1090: Consolidate common test resources in... Closed

History

#1 - 2010-11-17 18:34 - Rob Nahf

It would be advantageous to have common tests cases for integration testing, and possibly available to unit tests as well.  The current proposal is to

take advantage of the existing location in the repository: d1_integration/src/test/resources, and (re)locate python integration tests into d1_integration

as well.

If a more generalized location is needed, the proposal would be to create a new folder under cicore/trunk/.  For consideration here is balancing the

pros and cons of relying on external data for unit tests, which would evolve independent from the package, but would also be branched and tagged.   

Related is the recommendation of creating negative test cases that contain invalid or malformed data to test error handling capabilities of the

dataONE products.

#2 - 2010-11-22 17:32 - Dave Vieglais

- Position deleted (17)

- Target version changed from Sprint-2010.46 to Sprint-2010.47

- Position set to 10

2024-04-09 1/3



#3 - 2010-11-30 18:17 - Dave Vieglais

- Target version changed from Sprint-2010.47 to Sprint-2010.48

- Position deleted (30)

- Position set to 2

#4 - 2010-11-30 22:27 - Rob Nahf

- Status changed from New to In Progress

#5 - 2010-11-30 22:29 - Rob Nahf

- Subject changed from Common test resources location to Create a common test resources location

#6 - 2010-11-30 23:05 - Rob Nahf

Instead of adding to the classpath to make resources available, suggest moving the common test resources into their own standalone package, or

perhaps bundled with the schemas.  A simple test indicates that the java method getResourceAsStream() will find resources contained within

dependencies.  Moving them to an independent package that becomes a dependency of d1_common_java will allow us to version (tag) the data files

along with the schema versions.  This allows us to control support to earlier schema versions through pom.xml configuration.

#7 - 2010-12-13 18:34 - Dave Vieglais

- Target version changed from Sprint-2010.48 to Sprint-2010.50

- Position set to 8

- Position deleted (31)

#8 - 2010-12-13 18:55 - Rob Nahf

- Position set to 21

- Position deleted (9)

#9 - 2011-01-03 03:10 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.02

#10 - 2011-01-17 16:23 - Dave Vieglais

- Target version changed from Sprint-2011.02 to Sprint-2011.03

- Position deleted (22)

- Position set to 4

#11 - 2011-01-24 17:29 - Dave Vieglais

- Target version changed from Sprint-2011.03 to Sprint-2011.08

- Position deleted (21)

- Position set to 1

#12 - 2011-02-28 17:48 - Rob Nahf

- Position set to 1

- Target version changed from Sprint-2011.08 to Sprint-2011.10-Block.2

- Position deleted (45)

#13 - 2011-03-07 17:57 - Dave Vieglais

- Target version deleted (Sprint-2011.10-Block.2)

- Position deleted (32)

- Position set to 5
#14 - 2011-04-25 15:55 - Dave Vieglais

- Target version set to Sprint-2011.17-Block.3

- Position deleted (40)

- Position set to 2

#15 - 2011-05-03 03:47 - Dave Vieglais

- Position set to 184

- Position deleted (6)

- Target version changed from Sprint-2011.17-Block.3 to Sprint-2011.18-Block.3

#16 - 2011-05-16 17:59 - Dave Vieglais

- Target version changed from Sprint-2011.18-Block.3 to Sprint-2011.20-Block.3

#17 - 2011-05-16 18:04 - Dave Vieglais

- Position deleted (186)

- Position set to 1

#18 - 2011-05-25 15:33 - Dave Vieglais

- Position deleted (5)

- Position set to 3

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

#19 - 2011-05-31 15:05 - Dave Vieglais

- Target version changed from Sprint-2011.21-Block.3 to Sprint-2011.22-Block.3

- Position set to 3

- Position deleted (15)

#20 - 2011-05-31 21:18 - Rob Nahf

- Status changed from In Progress to Closed

completed deploying d1_test_resources package to svn and updating maven package dependencies.  The task of refactoring existing resources has

been promoted to it's own story and put in the backlog (#1090)

Powered by TCPDF (www.tcpdf.org)

2024-04-09 3/3

https://redmine.dataone.org/issues/1090
http://www.tcpdf.org

